Skip to main content
GET
/
billing
/
pending-invoice-items
List pending invoice items
curl --request GET \
  --url https://api.agentic.scope3.com/api/v2/buyer/billing/pending-invoice-items \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "description": "<string>",
      "currency": "<string>",
      "amount": 0,
      "quantity": 0,
      "unitAmount": 0,
      "date": 0,
      "period": {
        "start": 0,
        "end": 0
      },
      "proration": true,
      "customerId": "<string>"
    }
  ],
  "hasMore": true,
  "cursor": "<string>"
}

Authorizations

Authorization
string
header
required

API key or access token

Query Parameters

limit
integer

Maximum number of results (1–100, default 25)

Required range: 1 <= x <= 100
starting_after
string

Cursor for pagination (ID of last item from previous page)

Response

List pending invoice items

Paginated pending invoice items for the buyer customer

items
object[]
required
hasMore
boolean
required
cursor
string | null
required